# 基础数据

#### <mark style="color:red;">此文档已停止维护，请使用新的地址</mark>  [<mark style="color:red;">https://docs.itick.org/</mark>](https://docs.itick.org/)

## Base

### GET 产品清单

GET /symbol/list

#### Params

| Name   | Location | Type   | Required | Description                                     |
| ------ | -------- | ------ | -------- | ----------------------------------------------- |
| type   | query    | string | yes      | 产品类别，stock、forex、indices、crypto                 |
| region | query    | string | yes      | 所属区域 股票包括（HK、SZ、SH、US、SG），外汇（gb），指数（gb），数字币（ba） |
| code   | query    | string | no       | none                                            |

> Response Examples

```json
{
  "code": 200,
  "status": "ok",
  "data": [
    {
      "c": "700",
      "n": "TENCENT HOLDINGS LIMITED",
      "t": "stock",
      "e": "HKEX"
    }
  ]
}
```

#### Responses

| HTTP Status Code | Meaning                                                 | Description | Data schema |
| ---------------- | ------------------------------------------------------- | ----------- | ----------- |
| 200              | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | none        | Inline      |

#### Responses Data Schema

HTTP Status Code **200**

| Name   | Type    | Required | Restrictions | Title | description |
| ------ | ------- | -------- | ------------ | ----- | ----------- |
| » code | integer | true     | none         |       | 响应码,0:成功    |
| » msg  | string  | true     | none         |       | 异常信息,不为0时存在 |
| » data | object  | true     | none         |       | 响应数据        |
| »» c   | string  | true     | none         |       | 产品代码        |
| »» t   | string  | true     | none         |       | 产品类别        |
| »» e   | string  | true     | none         |       | 交易所         |
| »» n   | string  | true     | none         |       | 产品名称        |

### GET 市场假期

GET /symbol/holidays

> Response Examples

```json
{
  "code": 200,
  "status": "ok",
  "data": [
    {
      "c": "AU",
      "r": "Australia",
      "v": "[\"2025-01-01\", \"2025-01-27\", \"2025-04-18\", \"2025-04-21\", \"2025-04-25\", \"2025-06-09\", \"2025-12-25\", \"2025-12-26\"]",
      "et": "09:30 - 16:00",
      "ey": "2025",
      "vr": null,
      "tz": 10
    }
  ]
}
```

#### Responses

| HTTP Status Code | Meaning                                                 | Description | Data schema |
| ---------------- | ------------------------------------------------------- | ----------- | ----------- |
| 200              | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | none        | Inline      |

#### Responses Data Schema

HTTP Status Code **200**

| Name   | Type      | Required | Restrictions | Title | description |
| ------ | --------- | -------- | ------------ | ----- | ----------- |
| » code | integer   | true     | none         |       | 响应码,0:成功    |
| » msg  | string    | false    | none         |       | 异常信息,不为0时存在 |
| » data | \[object] | true     | none         |       | 响应数据        |
| »» c   | string    | false    | none         |       | 市场代码        |
| »» r   | string    | false    | none         |       | 市场国家名称      |
| »» tz  | integer   | false    | none         |       | 市场时区        |
| »» et  | string    | false    | none         |       | 日内交易时间      |
| »» v   | string    | false    | none         |       | 年内假期日期      |
| »» ey  | string    | false    | none         |       | 年份          |

### GET 产品信息

GET /symbol/info

#### Params

| Name     | Location | Type   | Required | Description      |
| -------- | -------- | ------ | -------- | ---------------- |
| type     | query    | string | yes      | 产品类别             |
| region   | query    | string | yes      | 所属区域 HK、SZ、SH、US |
| code     | query    | string | no       | none             |
| exchange | query    | string | no       | none             |

> Response Examples

```json
{
  "code": 200,
  "status": "ok",
  "data": [
    {
      "c": "700",
      "n": "TENCENT HOLDINGS LIMITED",
      "t": "stock",
      "e": "HKEX"
    }
  ]
}
```

#### Responses

| HTTP Status Code | Meaning                                                 | Description | Data schema |
| ---------------- | ------------------------------------------------------- | ----------- | ----------- |
| 200              | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | none        | Inline      |

#### Responses Data Schema

HTTP Status Code **200**

| Name   | Type    | Required | Restrictions | Title | description |
| ------ | ------- | -------- | ------------ | ----- | ----------- |
| » code | integer | true     | none         |       | 响应码,0:成功    |
| » msg  | string  | true     | none         |       | 异常信息,不为0时存在 |
| » data | object  | true     | none         |       | 响应数据        |
| »» c   | string  | true     | none         |       | 产品代码        |
| »» t   | string  | true     | none         |       | 产品类别        |
| »» e   | string  | true     | none         |       | 交易所         |
| »» n   | string  | true     | none         |       | 产品名称        |

## Data Schema


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.itick.org/rest-api/ji-chu-shu-ju.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
